OCamllabs icon Home|Differences with the last checks|Previous runs


Building on x86-bm-4.ocamllabs.io

(from ocaml/opam:debian-unstable)
WARNING: Error loading config file: .dockercfg: $HOME is not defined
2021-09-12 01:15.27 ---> using "0acd5aeaa8f7bc314514d9795d14a7f12ec72a6a5b11c5904350189734c6859b" from cache

/: (user (uid 1000) (gid 1000))

/: (env OPAMPRECISETRACKING 1)

/: (env OPAMUTF8 never)

/: (env OPAMEXTERNALSOLVER builtin-0install)

/: (env OPAMCRITERIA +removed)

/: (run (shell "sudo ln -f /usr/bin/opam-2.1 /usr/bin/opam"))
2021-09-12 01:15.27 ---> using "4d29eb3e0b7cd69a97ed90837671d5ca38aa41e2fb94346298af500378eca6fa" from cache

/: (run (network host)
        (shell "rm -rf ~/opam-repository && git clone -q 'git://github.com/ocaml/opam-repository.git' ~/opam-repository && git -C ~/opam-repository checkout -q ba60112b1addd60f567874e75a31a0c9477a8dce"))
2021-09-12 01:15.27 ---> using "891de4c12db1a68f9ee3e715d5fa95775a139c6a5508fcac6df72bc1c5895ebe" from cache

/: (run (shell "rm -rf ~/.opam && opam init -ya --bare --config ~/.opamrc-sandbox ~/opam-repository"))
Configuring from /home/opam/.opamrc-sandbox, then /home/opam/.opamrc, and finally from built-in defaults.
Checking for available remotes: rsync and local, git.
  - you won't be able to use mercurial repositories unless you install the hg command on your system.
  - you won't be able to use darcs repositories unless you install the darcs command on your system.


<><> Fetching repository information ><><><><><><><><><><><><><><><><><><><><><>
[default] Initialised

User configuration:
  ~/.profile is already up-to-date.
[NOTE] Make sure that ~/.profile is well sourced in your ~/.bashrc.

2021-09-12 01:15.27 ---> using "995e8579cfe8c54e982198950b138413ab1690a0131299833d5afc4e12491fb2" from cache

/: (run (network host)
        (shell "git clone -q 'git://github.com/ocaml/ocaml-beta-repository.git' ~/'beta' && git -C ~/'beta' checkout -q 79aeeadd813bdae424ab53f882f08bee0a4e0b89"))
2021-09-12 01:15.27 ---> using "6c6d97c87354ef1e64009cd8158270fee03e42b4b844bf199235b7be8e52fe08" from cache

/: (run (shell "opam repository add --dont-select 'beta' ~/'beta'"))
[beta] Initialised
2021-09-12 01:15.27 ---> using "8a2351de7bb685a49e9cd3dfd3b0a61a81ddd99e1a978c095079d10f1f16a158" from cache

/: (run (cache (opam-archives (target /home/opam/.opam/download-cache)))
        (network host)
        (shell "opam switch create --repositories=beta,default 4.11.2"))

<><> Installing new switch packages <><><><><><><><><><><><><><><><><><><><><><>
Switch invariant: ["ocaml-base-compiler" {= "4.11.2"} | "ocaml-system" {= "4.11.2"}]

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> installed base-bigarray.base
-> installed base-threads.base
-> installed base-unix.base
-> retrieved ocaml-base-compiler.4.11.2  (cached)
-> installed ocaml-base-compiler.4.11.2
-> installed ocaml-config.1
-> installed ocaml.4.11.2
Done.
# Run eval $(opam env --switch=4.11.2) to update the current shell environment
2021-09-12 01:15.27 ---> using "15ca38240a04396574124967d5b2d771dd54db9f512184a3992b2ef973f26ef7" from cache

/: (run (network host)
        (shell "opam update --depexts"))
+ /usr/bin/sudo "apt-get" "update"
- Get:1 http://deb.debian.org/debian unstable InRelease [165 kB]
- Get:2 http://deb.debian.org/debian unstable/main amd64 Packages.diff/Index [63.6 kB]
- Ign:2 http://deb.debian.org/debian unstable/main amd64 Packages.diff/Index
- Get:3 http://deb.debian.org/debian unstable/main amd64 Packages [8776 kB]
- Fetched 9005 kB in 2s (4480 kB/s)
- Reading package lists...
2021-09-12 01:15.27 ---> using "8d827342db0ca0400bdc4295fa34e3d3c47326bae272573614204968fb980d14" from cache

/: (run (cache (opam-archives (target /home/opam/.opam/download-cache)))
        (network host)
        (shell  "\
               \nopam remove -y \"caml-mode.4.9\"\
               \nopam install -vy \"caml-mode.4.9\"\
               \nres=$?\
               \nif [ $res = 31 ]; then\
               \n    if opam show -f x-ci-accept-failures: \"caml-mode.4.9\" | grep -q '\"debian-unstable\"'; then\
               \n        echo \"This package failed and has been disabled for CI using the 'x-ci-accept-failures' field.\"\
               \n        exit 69\
               \n    fi\
               \nfi\
               \n\
               \n\
               \nexit $res\
               \n"))
[NOTE] caml-mode.4.9 is not installed.

Nothing to do.
The following actions will be performed:
  - install conf-emacs 1   [required by caml-mode]
  - install caml-mode  4.9
===== 2 to install =====

The following system packages will first need to be installed:
    emacs-nox

<><> Handling external dependencies <><><><><><><><><><><><><><><><><><><><><><>
Let opam run your package manager to install the required system packages?
(answer 'n' for other options) [Y/n] y
+ /usr/bin/sudo "apt-get" "install" "-qq" "-yy" "emacs-nox"
- debconf: delaying package configuration, since apt-utils is not installed
- Selecting previously unselected package install-info.
- (Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 18039 files and directories currently installed.)
- Preparing to unpack .../install-info_6.7.0.dfsg.2-6_amd64.deb ...
- Unpacking install-info (6.7.0.dfsg.2-6) ...
- Setting up install-info (6.7.0.dfsg.2-6) ...
- Selecting previously unselected package cron.
- (Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 18053 files and directories currently installed.)
- Preparing to unpack .../cron_3.0pl1-137_amd64.deb ...
- Unpacking cron (3.0pl1-137) ...
- Selecting previously unselected package libapparmor1:amd64.
- Preparing to unpack .../libapparmor1_3.0.3-2_amd64.deb ...
- Unpacking libapparmor1:amd64 (3.0.3-2) ...
- Selecting previously unselected package libdbus-1-3:amd64.
- Preparing to unpack .../libdbus-1-3_1.12.20-2_amd64.deb ...
- Unpacking libdbus-1-3:amd64 (1.12.20-2) ...
- Selecting previously unselected package dbus.
- Preparing to unpack .../dbus_1.12.20-2_amd64.deb ...
- Unpacking dbus (1.12.20-2) ...
- Preparing to unpack .../libgnutls30_3.7.2-2_amd64.deb ...
- Unpacking libgnutls30:amd64 (3.7.2-2) over (3.7.1-5) ...
- Setting up libgnutls30:amd64 (3.7.2-2) ...
- (Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 18154 files and directories currently installed.)
- Preparing to unpack .../libncursesw6_6.2+20210905-1_amd64.deb ...
- Unpacking libncursesw6:amd64 (6.2+20210905-1) over (6.2+20201114-2) ...
- Preparing to unpack .../libtinfo6_6.2+20210905-1_amd64.deb ...
- Unpacking libtinfo6:amd64 (6.2+20210905-1) over (6.2+20201114-2) ...
- Setting up libtinfo6:amd64 (6.2+20210905-1) ...
- Selecting previously unselected package media-types.
- (Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 18154 files and directories currently installed.)
- Preparing to unpack .../00-media-types_4.0.0_all.deb ...
- Unpacking media-types (4.0.0) ...
- Selecting previously unselected package alsa-topology-conf.
- Preparing to unpack .../01-alsa-topology-conf_1.2.5.1-1_all.deb ...
- Unpacking alsa-topology-conf (1.2.5.1-1) ...
- Selecting previously unselected package libasound2-data.
- Preparing to unpack .../02-libasound2-data_1.2.5.1-1_all.deb ...
- Unpacking libasound2-data (1.2.5.1-1) ...
- Selecting previously unselected package libasound2:amd64.
- Preparing to unpack .../03-libasound2_1.2.5.1-1_amd64.deb ...
- Unpacking libasound2:amd64 (1.2.5.1-1) ...
- Selecting previously unselected package alsa-ucm-conf.
- Preparing to unpack .../04-alsa-ucm-conf_1.2.5.1-1_all.deb ...
- Unpacking alsa-ucm-conf (1.2.5.1-1) ...
- Selecting previously unselected package emacsen-common.
- Preparing to unpack .../05-emacsen-common_3.0.4_all.deb ...
- Unpacking emacsen-common (3.0.4) ...
- Selecting previously unselected package emacs-common.
- Preparing to unpack .../06-emacs-common_1%3a27.1+1-3.1_all.deb ...
- Unpacking emacs-common (1:27.1+1-3.1) ...
- Selecting previously unselected package emacs-bin-common.
- Preparing to unpack .../07-emacs-bin-common_1%3a27.1+1-3.1_amd64.deb ...
- Unpacking emacs-bin-common (1:27.1+1-3.1) ...
- Selecting previously unselected package emacs-el.
- Preparing to unpack .../08-emacs-el_1%3a27.1+1-3.1_all.deb ...
- Unpacking emacs-el (1:27.1+1-3.1) ...
- Selecting previously unselected package libjansson4:amd64.
- Preparing to unpack .../09-libjansson4_2.13.1-1.1_amd64.deb ...
- Unpacking libjansson4:amd64 (2.13.1-1.1) ...
- Selecting previously unselected package liblcms2-2:amd64.
- Preparing to unpack .../10-liblcms2-2_2.12~rc1-2_amd64.deb ...
- Unpacking liblcms2-2:amd64 (2.12~rc1-2) ...
- Selecting previously unselected package libicu67:amd64.
- Preparing to unpack .../11-libicu67_67.1-7_amd64.deb ...
- Unpacking libicu67:amd64 (67.1-7) ...
- Selecting previously unselected package libxml2:amd64.
- Preparing to unpack .../12-libxml2_2.9.12+dfsg-4_amd64.deb ...
- Unpacking libxml2:amd64 (2.9.12+dfsg-4) ...
- Selecting previously unselected package emacs-nox.
- Preparing to unpack .../13-emacs-nox_1%3a27.1+1-3.1_amd64.deb ...
- Unpacking emacs-nox (1:27.1+1-3.1) ...
- Selecting previously unselected package exim4-config.
- Preparing to unpack .../14-exim4-config_4.95~RC2-1_all.deb ...
- Unpacking exim4-config (4.95~RC2-1) ...
- Selecting previously unselected package exim4-base.
- Preparing to unpack .../15-exim4-base_4.95~RC2-1_amd64.deb ...
- Unpacking exim4-base (4.95~RC2-1) ...
- Selecting previously unselected package libevent-2.1-7:amd64.
- Preparing to unpack .../16-libevent-2.1-7_2.1.12-stable-1_amd64.deb ...
- Unpacking libevent-2.1-7:amd64 (2.1.12-stable-1) ...
- Selecting previously unselected package libunbound8:amd64.
- Preparing to unpack .../17-libunbound8_1.13.1-1_amd64.deb ...
- Unpacking libunbound8:amd64 (1.13.1-1) ...
- Selecting previously unselected package libgnutls-dane0:amd64.
- Preparing to unpack .../18-libgnutls-dane0_3.7.2-2_amd64.deb ...
- Unpacking libgnutls-dane0:amd64 (3.7.2-2) ...
- Selecting previously unselected package libidn12:amd64.
- Preparing to unpack .../19-libidn12_1.38-4_amd64.deb ...
- Unpacking libidn12:amd64 (1.38-4) ...
- Selecting previously unselected package exim4-daemon-light.
- Preparing to unpack .../20-exim4-daemon-light_4.95~RC2-1_amd64.deb ...
- Unpacking exim4-daemon-light (4.95~RC2-1) ...
- Selecting previously unselected package gsasl-common.
- Preparing to unpack .../21-gsasl-common_1.10.0-5_all.deb ...
- Unpacking gsasl-common (1.10.0-5) ...
- Selecting previously unselected package libgc1:amd64.
- Preparing to unpack .../22-libgc1_1%3a8.0.4-3_amd64.deb ...
- Unpacking libgc1:amd64 (1:8.0.4-3) ...
- Selecting previously unselected package guile-3.0-libs:amd64.
- Preparing to unpack .../23-guile-3.0-libs_3.0.7-1_amd64.deb ...
- Unpacking guile-3.0-libs:amd64 (3.0.7-1) ...
- Selecting previously unselected package libfribidi0:amd64.
- Preparing to unpack .../24-libfribidi0_1.0.8-2_amd64.deb ...
- Unpacking libfribidi0:amd64 (1.0.8-2) ...
- Selecting previously unselected package libntlm0:amd64.
- Preparing to unpack .../25-libntlm0_1.6-4_amd64.deb ...
- Unpacking libntlm0:amd64 (1.6-4) ...
- Selecting previously unselected package libgsasl7:amd64.
- Preparing to unpack .../26-libgsasl7_1.10.0-5+b1_amd64.deb ...
- Unpacking libgsasl7:amd64 (1.10.0-5+b1) ...
- Selecting previously unselected package libltdl7:amd64.
- Preparing to unpack .../27-libltdl7_2.4.6-15_amd64.deb ...
- Unpacking libltdl7:amd64 (2.4.6-15) ...
- Selecting previously unselected package mailutils-common.
- Preparing to unpack .../28-mailutils-common_1%3a3.13-1_all.deb ...
- Unpacking mailutils-common (1:3.13-1) ...
- Selecting previously unselected package mysql-common.
- Preparing to unpack .../29-mysql-common_5.8+1.0.7_all.deb ...
- Unpacking mysql-common (5.8+1.0.7) ...
- Selecting previously unselected package mariadb-common.
- Preparing to unpack .../30-mariadb-common_1%3a10.5.12-1_all.deb ...
- Unpacking mariadb-common (1:10.5.12-1) ...
- Selecting previously unselected package libmariadb3:amd64.
- Preparing to unpack .../31-libmariadb3_1%3a10.5.12-1_amd64.deb ...
- Unpacking libmariadb3:amd64 (1:10.5.12-1) ...
- Selecting previously unselected package libpq5:amd64.
- Preparing to unpack .../32-libpq5_13.4-3_amd64.deb ...
- Unpacking libpq5:amd64 (13.4-3) ...
- Selecting previously unselected package libpython3.9-minimal:amd64.
- Preparing to unpack .../33-libpython3.9-minimal_3.9.7-2_amd64.deb ...
- Unpacking libpython3.9-minimal:amd64 (3.9.7-2) ...
- Selecting previously unselected package libmpdec3:amd64.
- Preparing to unpack .../34-libmpdec3_2.5.1-2_amd64.deb ...
- Unpacking libmpdec3:amd64 (2.5.1-2) ...
- Selecting previously unselected package libpython3.9-stdlib:amd64.
- Preparing to unpack .../35-libpython3.9-stdlib_3.9.7-2_amd64.deb ...
- Unpacking libpython3.9-stdlib:amd64 (3.9.7-2) ...
- Selecting previously unselected package libpython3.9:amd64.
- Preparing to unpack .../36-libpython3.9_3.9.7-2_amd64.deb ...
- Unpacking libpython3.9:amd64 (3.9.7-2) ...
- Selecting previously unselected package libmailutils8:amd64.
- Preparing to unpack .../37-libmailutils8_1%3a3.13-1_amd64.deb ...
- Unpacking libmailutils8:amd64 (1:3.13-1) ...
- Selecting previously unselected package libncurses6:amd64.
- Preparing to unpack .../38-libncurses6_6.2+20210905-1_amd64.deb ...
- Unpacking libncurses6:amd64 (6.2+20210905-1) ...
- Selecting previously unselected package mailutils.
- Preparing to unpack .../39-mailutils_1%3a3.13-1_amd64.deb ...
- Unpacking mailutils (1:3.13-1) ...
- Selecting previously unselected package psmisc.
- Preparing to unpack .../40-psmisc_23.4-2_amd64.deb ...
- Unpacking psmisc (23.4-2) ...
- Setting up media-types (4.0.0) ...
- Setting up liblcms2-2:amd64 (2.12~rc1-2) ...
- Setting up mysql-common (5.8+1.0.7) ...
- update-alternatives: using /etc/mysql/my.cnf.fallback to provide /etc/mysql/my.cnf (my.cnf) in auto mode
- Setting up libapparmor1:amd64 (3.0.3-2) ...
- Setting up libicu67:amd64 (67.1-7) ...
- Setting up psmisc (23.4-2) ...
- Setting up libpython3.9-minimal:amd64 (3.9.7-2) ...
- Setting up cron (3.0pl1-137) ...
- Adding group `crontab' (GID 102) ...
- Done.
- invoke-rc.d: could not determine current runlevel
- invoke-rc.d: policy-rc.d denied execution of start.
- Setting up libpq5:amd64 (13.4-3) ...
- Setting up libjansson4:amd64 (2.13.1-1.1) ...
- Setting up mariadb-common (1:10.5.12-1) ...
- update-alternatives: using /etc/mysql/mariadb.cnf to provide /etc/mysql/my.cnf (my.cnf) in auto mode
- Setting up libasound2-data (1.2.5.1-1) ...
- Setting up emacsen-common (3.0.4) ...
- Setting up libntlm0:amd64 (1.6-4) ...
- Setting up libncurses6:amd64 (6.2+20210905-1) ...
- Setting up libdbus-1-3:amd64 (1.12.20-2) ...
- Setting up dbus (1.12.20-2) ...
- invoke-rc.d: could not determine current runlevel
- invoke-rc.d: policy-rc.d denied execution of start.
- Setting up libfribidi0:amd64 (1.0.8-2) ...
- Setting up libidn12:amd64 (1.38-4) ...
- Setting up libevent-2.1-7:amd64 (2.1.12-stable-1) ...
- Setting up mailutils-common (1:3.13-1) ...
- Setting up libmariadb3:amd64 (1:10.5.12-1) ...
- Setting up libncursesw6:amd64 (6.2+20210905-1) ...
- Setting up libgc1:amd64 (1:8.0.4-3) ...
- Setting up libltdl7:amd64 (2.4.6-15) ...
- Setting up alsa-topology-conf (1.2.5.1-1) ...
- Setting up exim4-config (4.95~RC2-1) ...
- /usr/bin/which: this version of 'which' is deprecated and should not be used.
- Adding system-user for exim (v4)
- Setting up libasound2:amd64 (1.2.5.1-1) ...
- Setting up libmpdec3:amd64 (2.5.1-2) ...
- Setting up gsasl-common (1.10.0-5) ...
- Setting up emacs-common (1:27.1+1-3.1) ...
- Setting up libxml2:amd64 (2.9.12+dfsg-4) ...
- Setting up libpython3.9-stdlib:amd64 (3.9.7-2) ...
- Setting up exim4-base (4.95~RC2-1) ...
- exim: DB upgrade, deleting hints-db
- Setting up alsa-ucm-conf (1.2.5.1-1) ...
- Setting up guile-3.0-libs:amd64 (3.0.7-1) ...
- Setting up libgsasl7:amd64 (1.10.0-5+b1) ...
- Setting up libunbound8:amd64 (1.13.1-1) ...
- Setting up libpython3.9:amd64 (3.9.7-2) ...
- Setting up libmailutils8:amd64 (1:3.13-1) ...
- Setting up emacs-el (1:27.1+1-3.1) ...
- Setting up emacs-bin-common (1:27.1+1-3.1) ...
- update-alternatives: using /usr/bin/ctags.emacs to provide /usr/bin/ctags (ctags) in auto mode
- update-alternatives: using /usr/bin/ebrowse.emacs to provide /usr/bin/ebrowse (ebrowse) in auto mode
- update-alternatives: using /usr/bin/emacsclient.emacs to provide /usr/bin/emacsclient (emacsclient) in auto mode
- update-alternatives: using /usr/bin/etags.emacs to provide /usr/bin/etags (etags) in auto mode
- Setting up libgnutls-dane0:amd64 (3.7.2-2) ...
- Setting up mailutils (1:3.13-1) ...
- update-alternatives: using /usr/bin/frm.mailutils to provide /usr/bin/frm (frm) in auto mode
- update-alternatives: using /usr/bin/from.mailutils to provide /usr/bin/from (from) in auto mode
- update-alternatives: using /usr/bin/messages.mailutils to provide /usr/bin/messages (messages) in auto mode
- update-alternatives: using /usr/bin/movemail.mailutils to provide /usr/bin/movemail (movemail) in auto mode
- update-alternatives: using /usr/bin/readmsg.mailutils to provide /usr/bin/readmsg (readmsg) in auto mode
- update-alternatives: using /usr/bin/dotlock.mailutils to provide /usr/bin/dotlock (dotlock) in auto mode
- update-alternatives: using /usr/bin/mail.mailutils to provide /usr/bin/mailx (mailx) in auto mode
- Setting up emacs-nox (1:27.1+1-3.1) ...
- update-alternatives: using /usr/bin/emacs-nox to provide /usr/bin/emacs (emacs) in auto mode
- Install emacsen-common for emacs
- emacsen-common: Handling install of emacsen flavor emacs
- Setting up exim4-daemon-light (4.95~RC2-1) ...
- invoke-rc.d: could not determine current runlevel
- invoke-rc.d: policy-rc.d denied execution of start.
- Processing triggers for install-info (6.7.0.dfsg.2-6) ...
- Processing triggers for libc-bin (2.31-15) ...

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
Processing  1/6:
Processing  2/6:
Processing  3/6: [conf-emacs: emacs]
-> retrieved caml-mode.4.9  (cached)
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "emacs" "--version" (CWD=/home/opam/.opam/4.11.2/.opam-switch/build/conf-emacs.1)
- GNU Emacs 27.1
- Copyright (C) 2020 Free Software Foundation, Inc.
- GNU Emacs comes with ABSOLUTELY NO WARRANTY.
- You may redistribute copies of GNU Emacs
- under the terms of the GNU General Public License.
- For more information about these matters, see the file named COPYING.
-> compiled  conf-emacs.1
-> installed conf-emacs.1
Processing  6/6: [caml-mode: make install]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "install" "make" "install" "INSTALL_DIR=/home/opam/.opam/4.11.2/share/emacs/site-lisp" (CWD=/home/opam/.opam/4.11.2/.opam-switch/build/caml-mode.4.9)
- Installing in /home/opam/.opam/4.11.2/share/emacs/site-lisp...
- mkdir -p /home/opam/.opam/4.11.2/share/emacs/site-lisp
- cp caml-font.el caml.el camldebug.el inf-caml.el caml-help.el caml-types.el /home/opam/.opam/4.11.2/share/emacs/site-lisp
- if [ -z "" ]; then \
-   cd /home/opam/.opam/4.11.2/share/emacs/site-lisp; emacs --batch --eval '(progn (setq load-path (cons "." load-path)) (byte-compile-file "caml.el") (byte-compile-file "inf-caml.el") (byte-compile-file "caml-help.el") (byte-compile-file "caml-types.el") (byte-compile-file "caml-font.el") (byte-compile-file "camldebug.el"))'; \
- fi
- Loading /etc/emacs/site-start.d/00debian.el (source)...
- 
- In camldebug-complete:
- camldebug.el:492:6:Warning: `comint-dynamic-simple-complete' is an obsolete
-     function (as of 24.1); use `completion-in-region' instead.
Processing  6/6: [caml-mode: make install-ocamltags]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "install" "make" "install-ocamltags" "INSTALL_BIN=/home/opam/.opam/4.11.2/bin" (CWD=/home/opam/.opam/4.11.2/.opam-switch/build/caml-mode.4.9)
- sed -e 's:@EMACS@:emacs:' ocamltags.in >ocamltags
- chmod a+x ocamltags
- cp ocamltags /home/opam/.opam/4.11.2/bin/ocamltags
-> installed caml-mode.4.9
Done.

<><> caml-mode.4.9 installed successfully <><><><><><><><><><><><><><><><><><><>
=> If you have not yet done so, please add in ~/.emacs.d/init.el or
   in ~/.emacs to following line:
       (add-to-list 'load-path "/home/opam/.opam/4.11.2/share/emacs/site-lisp/")
# Run eval $(opam env) to update the current shell environment
2021-09-12 01:16.09 ---> saved as "44e3b00553e94092ed8893af7cbb116f51d3d0f5e81d2f38a2089fb2a3eb6f5f"
Job succeeded